// pages/riskAssessment/riskAssessment.js
const api = require('../../api/index')
import { $startWuxRefresher, $stopWuxRefresher,$stopWuxLoader} from '../../miniprogram_npm/wux-weapp/index'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tableData:[],
    keyword:'',
    scrolltop: 20,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {
    this.init()
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 页面功能实现的区域
   */
  //初始化加载
  init(){
    var params = {
      current:1,
      size:10
    }
    this.setData(
      {
        queryParams:params,
        total:0,
        tableData:[]
      }
    )
    this.getProductList()
  },
  //下拉
  onPulling() {
    console.log('onPulling')
  },
  //下拉刷新
  onRefresh() {
    console.log('onRefresh')
    this.init()
  },
  //获取爆款产品
  getProductList(){
    var params = {
      current:1,
      size:6
    }
    wx.showLoading({
      title: '加载中',
    })
    api.queryHotProduct(params).then(res=>{
      if(res.code == 200){
        this.setData(
          {
            tableData:res.data.data
          }
        )
        $stopWuxRefresher()
      }
    })
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})